Page MenuHomePhabricator

Search `input` doesn't feature a connected `label` element
Closed, ResolvedPublic

Description

<input type="search" placeholder="Enter search terms" value="" name="s"> doesn't feature a connected <label> or any ARIA labele reference right now, resulting in a guessing game for screen reader users on what the input is about.
An aria-label attribute with “Search Wikimedia Foundation site" is expected markup.

Event Timeline

Volker_E created this task.Aug 11 2018, 2:05 AM
Volker_E updated the task description. (Show Details)Oct 1 2018, 7:06 PM
Varnent closed this task as Resolved.Oct 2 2018, 5:20 PM
Varnent assigned this task to Volker_E.

Patch merged - thank you @Volker_E!